Руководство API скрипты
Метод устарел

MustExtensions

класс в UnityEngine.Assertions.Must / Реализовано в: UnityEngine.CoreModule

Устаревший Обязательные расширения устарели. Вместо этого используйте UnityEngine.Assertions.Assert.

Описание

Класс расширения, который служит оболочкой для класса Assert.

Класс MustExtension заключает Assertion.Assert в более удобочитаемый и короткий синтаксис.

using UnityEngine; using UnityEngine.Assertions; using UnityEngine.Assertions.Must;

public class ExampleClass : MonoBehaviour { public int health; public GameObject go; void Update() { //Это утверждение Assert.AreNotEqual(0, health); //можно написать и так health.MustNotBeEqual(0);

// То же самое с этим утверждением Assert.IsTrue(go.activeInHierarchy); // а можно написать и так go.activeInHierarchy.MustBeTrue(); } }
Вы можете отблагодарить автора, за перевод документации на русский язык. Донат
API скрипты 2021.3